#include "infopanel.h"

InfoPanel::InfoPanel(QWidget *parent):
    QGraphicsView (parent)
{
    otkl=false;
}

InfoPanel::~InfoPanel()
{
}

void InfoPanel::mousePressEvent(QMouseEvent * event)
{
    event->setAccepted(false);

    QGraphicsTextItem *pic_text;
    QGraphicsScene *scene=this->scene();


    if (!otkl)
    {
        scene->clear();
        scene->setSceneRect(0,0,118,25);
        pic_text=scene->addText("ОТКЛЮЧЕНО",QFont("Inconsolata",12,QFont::Bold));
        pic_text->setDefaultTextColor(0xFF1E90FF);

        otkl=true;
    }
    else
    {
        scene->clear();
        scene->setSceneRect(0,0,106,26);
        pic_text=scene->addText("ВКЛЮЧЕНО",QFont("Inconsolata",12,QFont::Bold));
        pic_text->setDefaultTextColor(0xFF50C878);

        otkl=false;
    }

    this->setScene(scene);
    this->fitInView(scene->sceneRect(),Qt::KeepAspectRatio);
}
