#ifndef VISUALKONTYR_H
#define VISUALKONTYR_H

#include <QGraphicsView>


class VisualKontyr : public QGraphicsView
{
    Q_OBJECT

public:
    explicit VisualKontyr(QWidget *parent = 0);
    ~VisualKontyr();
    VisualKontyr *sinhron;

private:
    QPointF glav_pos;
    QPointF center_pos;
    double predel_max_pos_x;
    double predel_min_pos_x;
    double predel_max_pos_y;
    double predel_min_pos_y;
    void wheelEvent(QWheelEvent *);
    void mouseDoubleClickEvent(QMouseEvent *);
    void mouseMoveEvent(QMouseEvent *);
    void mousePressEvent(QMouseEvent *);
    void mouseReleaseEvent(QMouseEvent *);


};

#endif // VISUALKONTYR_H
